QwtPickerClickRectMachine(3)

NAME
QwtPickerClickRectMachine -

SYNOPSIS

#include <qwt_picker_machine.h>

Inherits QwtPickerMachine.

  Public Member Functions
virtual CommandList transition (const QwtEventPattern &, const QEvent *)

  Additional Inherited Members

Detailed Description

A state machine for rectangle selections. Pressing QwtEventPattern::MouseSelect1 starts the selection, releasing it selects the first point. Pressing it again selects the second point and terminates the selection. Pressing QwtEventPattern::KeySelect1 also starts the selection, a second press selects the first point. A third one selects the second point and terminates the selection.

See also:
    QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.